Page MenuHomePhabricator

Rendering problem with empty list item and next section
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hallo!

I want to document a rendering difference with and without using Tidy here:

The core software renders empty list item differently as the rendering at the
Wikimedia Foundation projects:

See examples with
an empty numbered list item at
http://nike.users.idler.fi/betawiki/Parser_list_001
an empty bullet list item at
http://nike.users.idler.fi/betawiki/Parser_list_002

Please compare with
http://test.wikipedia.org/wiki/User:Gangleri/bugzilla/parser/lists#numbered_list
http://test.wikipedia.org/wiki/User:Gangleri/bugzilla/parser/lists#bullet_list

If a user makes such a change he should "see" whats wrong; however if such a
syntax is used by a blind person or a bot it would probably not be recognized.

Not shure about the request for this report. Should this be fixed or not?

best regards reinhardt [[user:gangleri]]


Version: unspecified
Severity: enhancement
URL: http://nike.users.idler.fi/betawiki/Parser_list_001

Details

Reference
bz5859

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 9:12 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz5859.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 7 2006, 9:49 AM

sumanah wrote:

Reinhardt, I'm sorry it took so long for someone to respond to you.

I can no longer access those screenshots; can you still reproduce this problem? Or do you think that perhaps it has been fixed now, in the newer versions of MediaWiki?

Thanks!

This is still the case. Empty list items still go missing when tidy is enabled. They are however correctly rendered without tidy in both the PHP parser and Parsoid.

Danny_B removed a subscriber: wikibugs-l-list.
Izno closed this task as Resolved.Jul 31 2018, 9:23 PM
Izno claimed this task.
Izno added a subscriber: Izno.

The example items are fixed after Remex. Closing accordingly.